org.codehaus.plexus.component

## Class CastUtils

- java.lang.Object
- - org.codehaus.plexus.component.CastUtils

    public final class CastUtils
    extends java.lang.Object

### Method Summary

Methods
`static <T> java.util.Collection<T>` `cast(java.util.Collection<?> p)`
`static <T> java.util.Collection<T>` `cast(java.util.Collection<?> p, java.lang.Class<T> cls)`
`static <T> java.util.Iterator<T>` `cast(java.util.Iterator<?> p)`
`static <T> java.util.Iterator<T>` `cast(java.util.Iterator<?> p, java.lang.Class<T> cls)`
`static <T> java.util.List<T>` `cast(java.util.List<?> p)`
`static <T> java.util.List<T>` `cast(java.util.List<?> p, java.lang.Class<T> cls)`
`static <T,U> java.util.Map.Entry<T,U>` `cast(java.util.Map.Entry<?,?> p)`
`static <T,U> java.util.Map.Entry<T,U>` `cast(java.util.Map.Entry<?,?> p, java.lang.Class<T> pc, java.lang.Class<U> uc)`
`static <T,U> java.util.Map<T,U>` `cast(java.util.Map<?,?> p)`
`static <T,U> java.util.Map<T,U>` `cast(java.util.Map<?,?> p, java.lang.Class<T> t, java.lang.Class<U> u)`
`static <T> java.util.Set<T>` `cast(java.util.Set<?> p)`
`static <T> java.util.Set<T>` `cast(java.util.Set<?> p, java.lang.Class<T> cls)`
`static boolean` `isAssignableFrom(java.lang.Class<?> expected, java.lang.Class<?> actual)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### cast

    public static <T,U> java.util.Map<T,U> cast(java.util.Map<?,?> p)

#### cast

    public static <T,U> java.util.Map<T,U> cast(java.util.Map<?,?> p,
                                java.lang.Class<T> t,
                                java.lang.Class<U> u)

#### cast

    public static <T> java.util.Collection<T> cast(java.util.Collection<?> p)

#### cast

    public static <T> java.util.Collection<T> cast(java.util.Collection<?> p,
                                   java.lang.Class<T> cls)

#### cast

    public static <T> java.util.List<T> cast(java.util.List<?> p)

#### cast

    public static <T> java.util.List<T> cast(java.util.List<?> p,
                             java.lang.Class<T> cls)

#### cast

    public static <T> java.util.Iterator<T> cast(java.util.Iterator<?> p)

#### cast

    public static <T> java.util.Iterator<T> cast(java.util.Iterator<?> p,
                                 java.lang.Class<T> cls)

#### cast

    public static <T> java.util.Set<T> cast(java.util.Set<?> p)

#### cast

    public static <T> java.util.Set<T> cast(java.util.Set<?> p,
                            java.lang.Class<T> cls)

#### cast

    public static <T,U> java.util.Map.Entry<T,U> cast(java.util.Map.Entry<?,?> p)

#### cast

    public static <T,U> java.util.Map.Entry<T,U> cast(java.util.Map.Entry<?,?> p,
                                      java.lang.Class<T> pc,
                                      java.lang.Class<U> uc)

#### isAssignableFrom

    public static boolean isAssignableFrom(java.lang.Class<?> expected,
                           java.lang.Class<?> actual)